# std::error_code::operator bool

From cppreference.com
< cpp‎ | error‎ | error code

explicit operator bool() const; |  | (since C++11)

Checks if the error value is valid, i.e. non-zero.

### Parameters

(none)

### Return value

false if value() == 0, true otherwise.

### Exceptions

`noexcept` specification:
noexcept
Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/error_code/operator_bool&oldid=91633"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template